import { JavaObject } from '../../../java/lang/JavaObject';
import { ENMTeilleistung } from '../../../core/data/enm/ENMTeilleistung';
import { Vector } from '../../../java/util/Vector';
export declare class ENMLeistung extends JavaObject {
    id: number;
    lerngruppenID: number;
    note: String | null;
    istSchriftlich: Boolean | null;
    abiturfach: Number | null;
    fehlstundenGesamt: Number | null;
    fehlstundenUnentschuldigt: Number | null;
    fachbezogeneBemerkungen: String | null;
    neueZuweisungKursart: String | null;
    teilleistungen: Vector<ENMTeilleistung>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMLeistung;
    static transpilerToJSON(obj: ENMLeistung): string;
    static transpilerToJSONPatch(obj: Partial<ENMLeistung>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMLeistung(obj: unknown): ENMLeistung;
